/* Generated By:JJTree: Do not edit this line. ASTProperty.java */

/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */

package MetaTF.Parser;


/**
 * Abstract syntax tree node representing properties
 *
 * @see <a href="metatf.jjt">The MetaTF Grammar</a>
 * @version rel-1-2 ($Revision: 1.3 $, $Date: 2000/12/15 16:29:54 $),
 * @author Richard Jones
**/
public class ASTProperty extends ASTDef {
  private static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/ASTProperty.java,v 1.3 2000/12/15 16:29:54 rej Exp $";

  public ASTProperty(int id) {
    super(id);
  }

  public ASTProperty(MetaTFParser p, int id) {
    super(p, id);
  }


  /** Accept the visitor. **/
  public Object jjtAccept(MetaTFParserVisitor visitor, Object data) {
    return visitor.visit(this, data);
  }

  /** Was the property given a type? **/
  private boolean hastype;

  /** @return whether the property was given a type in the DTD **/
  public void hasType(boolean b)     { hastype = b; }

  /** @return the type of the property (or empty string if none given) **/
  public String getTypeName() {
      return hastype ?
                 ((ASTName)jjtGetChild(0)).getName() :
                 "";
  }

  /** @return the name of the field for which this property is defined **/
  public String getFieldName() {
      return hastype ?
                 ((ASTName)jjtGetChild(1)).getName() :
                 ((ASTName)jjtGetChild(0)).getName();
  }

  /** @return the name of the property (or empty string if none given) **/
  public String getPropertyName() {    
      if(hastype) { // 3 or 4 children
        if(jjtGetNumChildren()==3)
            return "";
        else if(jjtGetNumChildren()==4)
            return ((ASTName)jjtGetChild(2)).getName();
        else {
            dump("  ++");    
            MetaTF.Panic.panic("ASTProperty has bad number of children");
            return null;
        }
      } else { // 2 or 3 children
        if(jjtGetNumChildren()==2)
            return "";
        else if(jjtGetNumChildren()==3)
            return ((ASTName)jjtGetChild(1)).getName();
        else {
            dump("  ++");    
            MetaTF.Panic.panic("ASTProperty has bad number of children");
            return null;
        }
      }
  }

  /**
   * @return the value of the property
   * @see ASTValue
  **/
  public ASTValue getPropertyValue() { 
  	return (ASTValue)jjtGetChild(jjtGetNumChildren()-1);
  }

  /**
   * dump the property prettily
   * @see SimpleNode
  **/
  public void dump(String prefix) {
    System.out.println(toString(prefix));
    System.out.println(prefix+" "+getTypeName()+" "+getFieldName());
    if (children != null) {
        for (int i = 0; i < children.length; ++i) {
            SimpleNode n = (SimpleNode)children[i];
            if (n != null) {
                n.dump(prefix + " ");
            }
        }
    }
 }
  	
}
