
/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */

 
package MetaTF.Parser;


/**
 * baseOffset <number>
 *
 * @see <a href="metatf.jjt">The MetaTF Grammar</a>
 * @see ASTBaseOffset
 * @version rel-1-2 ($Revision: 1.3 $, $Date: 2000/12/15 16:29:55 $),
 * @author Richard Jones
**/
public class BaseOffset extends Value {
  private static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/BaseOffset.java,v 1.3 2000/12/15 16:29:55 rej Exp $";

    /** the offset **/
	private int offset;

	/**
	 * Allocates an object repersenting the baseOffset
	 * @param o the offset
	**/
	BaseOffset(int o) { offset = o; }

	/**
	 * Get the baseOffset
	 * @return the offset
	**/
	public int getOffset() { return offset; }

	/**
	 * Set the baseOffset
	 * @param o the offset
	**/
	void setOffset(int o) { offset = o; }

    /** @return a prettified representation of this object **/
    public String toString() {
	    return "baseOffset "+String.valueOf(offset);
    }

    /** @return a string representation of the baseOffset **/
	public String dump(String prefix) {
	    return String.valueOf(offset);
	}

    /** Accept the visitor **/
    public Object accept(DTDVisitor visitor, Object data) {
        return visitor.visit(this, data);
    }
}
