/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */

 
package MetaTF.Parser;

/**
 * Visitor for the symbol table
 *
 * @see <a href="metatf.jjt">The MetaTF Grammar</a>
 * @version rel-1-2 ($Revision: 1.3 $, $Date: 2000/12/15 16:29:55 $),
 * @author Richard Jones
**/
public interface DTDVisitor
{
  static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/DTDVisitor.java,v 1.3 2000/12/15 16:29:55 rej Exp $";

  public Object visit(DTD symtab, Object data);

  public Object visit(Section section, Object data);
  public Object visit(Record record, Object data);

  public Object visit(TagField field, Object data);
  public Object visit(NamedField field, Object data);
  public Object visit(RepeatField field, Object data);
  public Object visit(TupleField field, Object data);

  public Object visit(BaseOffset baseOffset, Object data);
  public Object visit(Default def, Object data);
  public Object visit(StringDefault def, Object data);
  public Object visit(Delta delta, Object data);
  public Object visit(None none, Object data);
  public Object visit(NumberValue numberValue, Object data);
  public Object visit(SectionOffset sectionOffset, Object data);
  public Object visit(SectionStride sectionStride, Object data);
  public Object visit(Stride stride, Object data);
}
