
/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */
 
package MetaTF.Parser;

/**
 * Numeric value of a tag
 *
 * @see <a href="metatf.jjt">The MetaTF Grammar</a>
 * @see MetaTF.Parser.Value
 * @version rel-1-2 ($Revision: 1.3 $, $Date: 2000/12/15 16:29:55 $),
 * @author Richard Jones
**/
public class NumberValue extends Value {
  private static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/NumberValue.java,v 1.3 2000/12/15 16:29:55 rej Exp $";

    /** The value **/
    private int value;
	
    /**
     * Allocate a new object representing this number
     *
     * @param n the value
    **/
    NumberValue(int n) { value = n; }

    /** @return the number **/
    public int getNumber() { return value; }
	
    /**
     * Set the number
     *
     * @param value the number
    **/
    void setNumber(int n) { value = n; }

    public String toString() {
	    return String.valueOf(value);
	}

    public String dump(String prefix) {
	    return String.valueOf(value);
	}

    public Object accept(DTDVisitor visitor, Object data) {
        return visitor.visit(this, data);
    }	
}
