
/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */
 
package MetaTF.Parser;

/**
 * sectionStride <section name> <stride>
 *
 * @see <a href="metatf.jjt">The MetaTF Grammar</a>
 * @see MetaTF.Parser.Value
 * @version rel-1-2 ($Revision: 1.3 $, $Date: 2000/12/15 16:29:55 $),
 * @author Richard Jones
**/
public class SectionStride extends Value {
      private static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/SectionStride.java,v 1.3 2000/12/15 16:29:55 rej Exp $";

    /** The name of the section **/
	private String section;

	/** The section's number **/
	private int number;
	
	/** the stride **/
	private int stride;
	
	/**
	 * Allocate a new object representing the section Stride
	 *
	 * @param sect the name of the section
	 * @param str the stride
	**/
	SectionStride(String sect, int str) {
 		section = sect;
 		stride = str;
	}

	/** @return the name of the section **/
	public String getSectionName() { return section; }

    /** @return the number of the section **/
    public int getSectionNumber() { return number; }

    /** Set the section number **/
    public void setNumber() throws DTDException {
        number = DTD.instance().sectionNameToNumber(section);
    }

	/** @ return the stride **/
	public int getStride() { return stride; }
    
	public String toString() {
	    return "sectionStride "+section+" "+String.valueOf(stride);
	}

	public String dump(String prefix) {
	    return "sectionStride "+section+" "+String.valueOf(stride);
	}

    public Object accept(DTDVisitor visitor, Object data) {
        return visitor.visit(this, data);
    }
}
