
/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */
 
package MetaTF.Parser;

/**
 * stride <initial value> <stride>
 *
 * @see <a href="metatf.jjt">The MetaTF Grammar</a>
 * @see MetaTF.Parser.Value
 * @version rel-1-2 ($Revision: 1.3 $, $Date: 2000/12/15 16:29:55 $),
 * @author Richard Jones
**/
public class Stride extends Value {
  private static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/Stride.java,v 1.3 2000/12/15 16:29:55 rej Exp $";

    /** the initial value **/
	private int initialValue;

	/** the stride **/
	private int stride;

	/**
	 * Allocate a new object representing the stride
	 *
	 * @param init the initial value
	 * @param str the stride
	**/
	Stride(int init, int str) {
    	initialValue = init;
    	stride = str;
	}

	/** @return the initial value of the stride **/
	public int getInitialValue() {return initialValue; }
	
	/** @return the stride **/
	public int getStride() { return stride; }
	
	/**
	 * Set the initial value
	 *
	 * @param init the initial value
	**/void setInitialValue(int init) { initialValue = init; }
	
	/**
	 * Set the stride
	 *
	 * @param s the stride
	**/
	void setStride(int s) { stride = s; }

   	public String toString() {
	    return "stride "+String.valueOf(initialValue)+" "+String.valueOf(stride);
	}

   	public String dump(String prefix) {
	    return "stride "+String.valueOf(initialValue)+" "+String.valueOf(stride);
	}

    public Object accept(DTDVisitor visitor, Object data) {
        return visitor.visit(this, data);
    }
}
