
/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */
 
package MetaTF.Parser;

/**
 * String valued default
 *
 * @see <a href="metatf.jjt">The MetaTF Grammar</a>
 * @see MetaTF.Parser.Value
 * @version rel-1-2 ($Revision: 1.2 $, $Date: 2000/12/15 16:29:55 $),
 * @author Richard Jones
**/
public class StringDefault extends Value {
  private static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/StringDefault.java,v 1.2 2000/12/15 16:29:55 rej Exp $";

    /** the value **/
	private String value;
	
	/**
	 * Allocate a new object representing the string default value
	 *
	 * @param s the value
	**/
	StringDefault(String s) { value = s; }

	/** @return the default value **/
	public String getDefault() { return value; }
	
	/**
	 * Set the default value
	 *
	 * @param s the value
	**/
	void setDefault(String s) {value = s; }

	public String toString() {
	    return "default " + value;
	}
	public String dump(String prefix) { return "default "+value; }

    public Object accept(DTDVisitor visitor, Object data) {
        return visitor.visit(this, data);
    }
}
