/*
   $File$
   Date	Author		Changes
   Nov 30 2000 Richard Jones	Created

   Copyright (C) 2000 Richard Jones
   All rights reserved.
 */

package MetaTF;

import java.util.Map;
import java.util.HashMap;

public class Types {
    public static final String[] typeNames =
        {"byte", "short", "int", "long", "string", "index"};
        
    public static final String[] primitiveTypeNames =
        {"byte", "short", "int", "long"};
        
    // Size of types where known (not used other than to build the hash table
    public static final int[] typeSizes =
        {1, 2, 4, 8, 0, 4};
        
    public static final Map types = new HashMap(typeNames.length);

    public static final Map primitiveTypes = new HashMap(primitiveTypeNames.length);

    static {
        for(int i=0; i<typeNames.length; i++)
            types.put(typeNames[i], new Integer(typeSizes[i]));
        for(int i=0; i<primitiveTypeNames.length; i++)
            primitiveTypes.put(primitiveTypeNames[i], new Integer(typeSizes[i]));
    }
    
    public static boolean knownType(String s) {
        return types.containsKey(s);
    }

    public static boolean primitiveType(String s) {
        return primitiveTypes.containsKey(s);
    }
}

